#!/bin/bash

dbuser=root
dbpasswd=1000omc@kp!
dbhost=127.0.0.1

if [ $3 =~ ""]; then
    dbhost=$3
fi

mysql -u$dbuser -p$dbpasswd -h $dbhost -e "create database if not exists $2;"
list_table=$(mysql -u$dbuser -p$dbpasswd -h $dbhost -Nse "select table_name from information_schema.TABLES where TABLE_SCHEMA='$1'")

for table in $list_table
do
    mysql -u$dbuser -p$dbpasswd -h $dbhost -e "rename table $1.$table to $2.$table"
done